Name:           fakechroot
Version:        2.20.1
Release:    1%{?dist}
Summary:        Gives a fake chroot environment
License:        LGPLv2+
URL:            https://github.com/dex4er/fakechroot
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         https://github.com/dex4er/fakechroot/commit/b42d1fb9538f680af2f31e864c555414ccba842a.patch
Patch2:         https://github.com/dex4er/fakechroot/pull/80.patch
Patch4:         https://github.com/dex4er/fakechroot/pull/104.patch
Patch8:         disable_cp.t.patch
Patch10:        autoupdate.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  /usr/bin/pod2man
Requires:       /usr/bin/objdump
Requires:       %{name}-libs = %{version}-%{release}

%description
fakechroot runs a command in an environment were is additionally
possible to use the chroot(8) call without root privileges. This is
useful for allowing users to create their own chrooted environment
with possibility to install another packages without need for root
privileges.

%package        libs
Summary:        Libraries of %{name}

%description    libs
This package contains the libraries required by %{name}.

%prep
%autosetup -p1
chmod -x scripts/{relocatesymlinks,restoremode,savemode}.sh


%build
autoreconf -vfi

%if 0%{?__isa_bits} == 64
%configure --disable-static --disable-silent-rules --with-libpath="%{_libdir}/fakechroot:/usr/lib/fakechroot"
%else
%configure --disable-static --disable-silent-rules --with-libpath="%{_libdir}/fakechroot:/usr/lib64/fakechroot"
%endif

%make_build

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%check
%ifnarch ppc64le
%make_build check
%endif

%files
%doc scripts/{relocatesymlinks,restoremode,savemode}.sh
%doc NEWS.md README.md THANKS.md
%license COPYING LICENSE
%{_bindir}/%{name}
%{_bindir}/env.%{name}
%{_bindir}/ldd.%{name}
%{_sbindir}/chroot.%{name}
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/chroot.env
%config(noreplace) %{_sysconfdir}/%{name}/debootstrap.env
%config(noreplace) %{_sysconfdir}/%{name}/rinse.env
%{_mandir}/man1/%{name}.1*

%files libs
%{_libdir}/%{name}/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.20.1-1
- initial build
